
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>克隆合成对象 / iVAN</title>

    <meta name="description" content="克隆合成对象 试图深层复制合成对象时会遇到一个问题.必须假定成员对象中的clone()方法也能依次对自己的句柄进行深层复制,以此类推.这使我们的操作变得复杂.为了能正常实现深层复制,必须对所有类中的代码进行控制,或者至少全面掌握深层复制中需要涉及的类,确保它们自己的深层复制能正确进行. 下面这个例子总结了面对一个合成对象进行深层复制时需要做哪些事情:   //: DeepCopy.java // Cloning a composed object class DepthReading implements C">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">克隆合成对象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>试图深层复制合成对象时会遇到一个问题。必须假定成员对象中的clone()方法也能依次对自己的句柄进行深层复制，以此类推。这使我们的操作变得复杂。为了能正常实现深层复制，必须对所有类中的代码进行控制，或者至少全面掌握深层复制中需要涉及的类，确保它们自己的深层复制能正确进行。<br />
下面这个例子总结了面对一个合成对象进行深层复制时需要做哪些事情：<br />
 </p>
<blockquote><pre>
//: DeepCopy.java
// Cloning a composed object

class DepthReading implements Cloneable {
  private double depth;
  public DepthReading(double depth) {
    this.depth = depth;
  }
  public Object clone() {
    Object o = null;
    try {
      o = super.clone();
    } catch (CloneNotSupportedException e) {
      e.printStackTrace();
    }
    return o;
  }
}

class TemperatureReading implements Cloneable {
  private long time;
  private double temperature;
  public TemperatureReading(double temperature) {
    time = System.currentTimeMillis();
    this.temperature = temperature;
  }
  public Object clone() {
    Object o = null;
    try {
      o = super.clone();
    } catch (CloneNotSupportedException e) {
      e.printStackTrace();
    }
    return o;
  }
}

class OceanReading implements Cloneable {
  private DepthReading depth;
  private TemperatureReading temperature;
  public OceanReading(double tdata, double ddata){
    temperature = new TemperatureReading(tdata);
    depth = new DepthReading(ddata);
  }
  public Object clone() {
    OceanReading o = null;
    try {
      o = (OceanReading)super.clone();
    } catch (CloneNotSupportedException e) {
      e.printStackTrace();
    }
    // Must clone handles:
    o.depth = (DepthReading)o.depth.clone();
    o.temperature =
      (TemperatureReading)o.temperature.clone();
    return o; // Upcasts back to Object
  }
}

public class DeepCopy {
  public static void main(String[] args) {
    OceanReading reading =
      new OceanReading(33.9, 100.5);
    // Now clone it:
    OceanReading r =
      (OceanReading)reading.clone();
  }
} ///:~</pre>
</blockquote>
<p>DepthReading和TemperatureReading非常相似；它们都只包含了基本数据类型。所以clone()方法能够非常简单：调用super.clone()并返回结果即可。注意两个类使用的clone()代码是完全一致的。<br />
OceanReading是由DepthReading和TemperatureReading对象合并而成的。为了对其进行深层复制，clone()必须同时克隆OceanReading内的句柄。为达到这个目标，super.clone()的结果必须造型成一个OceanReading对象（以便访问depth和temperature句柄）。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索对象<br />
                    ，                object<br />
                    ，                public<br />
                    ，                clone<br />
                    ，                深层复制<br />
                                    深层克隆对象<br />
                                    js 克隆对象、java 克隆对象、jquery 克隆对象、c 克隆对象、对象克隆，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-08 22:54:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/object/" title="object">object</a>, <a href="https://www.iamivan.net/tag/clone/" title="clone">clone</a>, <a href="https://www.iamivan.net/tag/%e6%b7%b1%e5%b1%82%e5%a4%8d%e5%88%b6/" title="深层复制">深层复制</a>, <a href="https://www.iamivan.net/tag/%e6%b7%b1%e5%b1%82%e5%85%8b%e9%9a%86%e5%af%b9%e8%b1%a1/" title="深层克隆对象">深层克隆对象</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>克隆合成对象的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jmmVp.html" rel="bookmark">克隆javascript对象的三个方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一 复制代码 代码如下: function clone(obj){ var o; switch(typeof obj){ case 'undefined': break; case 'string' : o = obj + '';break; case 'number' : o = obj - 0;break; case 'boolean' : o = obj;break; case 'object' : if(obj === null){ o = null; }else{ if(obj i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxO3Ob.html" rel="bookmark">java克隆对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				若需修改一个对象,同时不想改变调用者的对象,就要制作该对象的一个本地副本.这也是本地副本最常见的一种用途.若决定制作一个本地副本,只需简单地使用clone()方法即可.Clone是&quot;克隆&quot;的意思,即制作完全一模一样的副本.这个方法在基础类Object中定义成&quot;protected&quot;(受保护)模式.但在希望克隆的任何衍生类中,必须将其覆盖为&quot;public&quot;模式.例如,标准库类Vector覆盖了clone(),所以能为Vector调用clone(),如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NQwgM.html" rel="bookmark">Java对象克隆指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在java中,克隆是一个精确的原始拷贝,这基本上意味着能够创建一个对象相似的状态与原始对象.clone()方法提供了这种功能.在这篇文章中,我们将探讨java克隆的最重要的方面. 详细解释了克隆 Java基础克隆 浅克隆 深克隆 复制构造函数 序列化克隆 使用Apache commons克隆 最佳实践 详细解释了克隆 克隆是关于创建原始对象的副本,其词典意义是:&quot;使一个完全相同的副本&quot;.默认情况下,java克隆&quot;字段复制&quot;,即是对象类没有了解的结构类的clone()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Y00RM.html" rel="bookmark">java对象 深度克隆（不实现Cloneable接口）和浅度克隆</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么需要克隆: 在实际编程过程中,我们常常要遇到这种情况:有一个对象A,在某一时刻A中已经包含了一些有效值,此时可能会需要一个和A完全相同新对象B,并且此后对B任何改动都不会影响到A中的值,也就是说,A与B是两个独立的对象,但B的初始值是由A对象确定的.在Java语言中,用简单的赋值语句是不能满足这种需求的,要满足这种需求有很多途径.   克隆的实现方式 一.浅度克隆 对于要克隆的对象,对于其基本数据类型的属性,复制一份给新产生的对象,对于非基本数据类型的属性,仅仅复制一份引用给新产生的对象,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7KE7M.html" rel="bookmark">JS扩展类，克隆对象与混合类实例分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS扩展类,克隆对象与混合类.分享给大家供大家参考,具体如下: 1.类扩展 /* EditInPlaceField类 */ /* 扩展函数 */ function extend(subClass, superClass) { var F = function() {}; F.prototype = superClass.prototype; subClass.prototype = new F(); subClass.prototype.constructor = subClass			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR18v3b.html" rel="bookmark">php面向对象抽象方法和抽象类 &lowbar;&lowbar;call 克隆对象详细教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				抽象方法和抽象类 在OOP语言中,一个类可以有一个或多个子类,而每个类都有至少一个公有方法做为外部代码访问其的接口.而抽象方法就是为了方便继承而引入的,我们先来看一下抽象类和抽象方法的定义再说明它的用途. 什么是抽象方法?我们在类里面定义的没有方法体的方法就是抽象方法,所谓的没有方法体指的是,在方法声明的时候没有大括号以及其中的内容,而是直接在声明时在方法名后加上分号结束,另外在声明抽象方法时还要加一个关键字&quot;abstract&quot;来修饰:例如:  代码如下 复制代码 abstract f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEOKEz.html" rel="bookmark">深入JAVA对象深度克隆的详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候,我们需要把对象A的所有值复制给对象B(B = A),但是这样用等号给赋值你会发现,当B中的某个对象值改变时,同时也会修改到A中相应对象的值! 也许你会说,用clone()不就行了?!你的想法只对了一半,因为用clone()时,除了基础数据和String类型的不受影响外,其他复杂类型(如集合.对象等)还是会受到影响的!除非你对每个对象里的复杂类型又进行了clone(),但是如果一个对象的层次非常深,那么clone()起来非常复杂,还有可能出现遗漏!既然用等号和clone()复制对象都会对原			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5eEaz.html" rel="bookmark">IBM中国研发中心面试题，如何用Java写一个程序达到对象深浅克隆的效果？不能用API</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 IBM中国研发中心面试题,如何用Java写一个程序达到对象深浅克隆的效果?不能用API.来吧,大家发表意见,全分奉上. 问题补充:没人知道吗,能不能告诉我啊 解决方案 import java.io.ByteArrayInputStream;import java.io.ByteArrayOutputStream;import java.io.ObjectInputStream;import java.io.ObjectOutputStream;/** * 深/浅克隆 * * @auth			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlWPZnb.html" rel="bookmark">如何把一个类型的对象克隆成另一个类型的对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如题,我试着用clone方法,但是不行 解决方案 解决方案二:呵呵clone是克隆当前对象,他怎么能变成其他类型对象呢就像你想通过羊细胞克隆个牛出来解决方案三:没看明白什么意思,举个例子,你想要什么结果?Aa=newA();Bb=a.clone();?这样的肯定不行的!除非是继承关系解决方案四:可以手动克隆啊就是用set把数据一个一个的设置解决方案五:引用1楼pofate的回复: 呵呵clone是克隆当前对象,他怎么能变成其他类型对象呢就像你想通过羊细胞克隆个牛出来 顶解决方案六:那还			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjqyNz.html" rel="bookmark" class="title">XML、Web服务和&period;NET框架&lpar;2&rpar;</a>
					<div>
						.net框架|web|web服务|xml 缆线级的XML:SOAP 实现Web服务的异类基本结构以及在整个Web中实现Web服务的关键,是实现支持简单数据描述格式的技术.这种格式就是XML.Web服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR4Xxz.html" rel="bookmark" class="title">PS精巧教程3&colon;为线条添加颜色</a>
					<div>
						教程 为scratchboard(刮板涂有白色黏土和黑色表面层的画板,用刮具刮而产生黑白线的图画)插图添加颜色,不仅可以保留原来图像的纹理和对比,还能为图像增加生命力,使之更为精彩.下面就是用Phot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9112dM.html" rel="bookmark" class="title">Node&period;js的回调问题</a>
					<div>
						Node.js需要按顺序执行异步逻辑时一般采用后续传递风格,也就是将后续逻辑封装在回调函数中作为起始函数的参数,逐层嵌套.这种风格虽然可以提高CPU利用率,降低等待时间,但当后续逻辑步骤较多时会影响代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW12Yjz.html" rel="bookmark" class="title">安天校园网络安全管理解决方案</a>
					<div>
						从网络运维的角度来说,由于校园网普遍达到百兆甚至千兆到桌面,同时桌面节点通过2-3级交换设备 级联就到达了核心层甚至出口,因此内部感染节点持续扫描.攻击等行为,将给核心交换设备或者出口设 备带来强大的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjAyOp.html" rel="bookmark" class="title">GPRS的主要接口</a>
					<div>
						1 GPRS的无线接口Um MS与BTS之间需要传送大量的用户数据和控制信令,不同种类的信息由不同的逻辑信道传送,逻辑信道映射到物理信道上. 它包括如下一组传输公共控制信令的逻辑信道. 分组随机接入信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4xBjp.html" rel="bookmark" class="title">苹果专利之RFID网络认证&sol;设定技术</a>
					<div>
						17Tech03月10日据Engadget消息:一般咱们要把笔记本电脑连上个封闭的网络,大概要花几个步骤?小微微窗口的使用者可要会需要比较多步,MacOS可能省一点,按Finder上面的无线网络小符号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOLQAM.html" rel="bookmark" class="title">Oracle数据库入门之DDL与数据库对象</a>
					<div>
						数据库对象 常见:表:存放数据的基本数据库对象,由行(记录)和列(字段)组成 约束条件:执行数据校验,保证数据完整性的系列规则 视图:表中数据的逻辑显示 索引:根据表中指定的字段建立起来的顺序,用于提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4Vywp.html" rel="bookmark" class="title">wps文字中如何恢复未保存文档</a>
					<div>
						  wps文字中恢复未保存文档的方法: WPS中有定时备份机制.默认时间是10分钟.出现程序关闭的情况,可以点击WPS左上角的&quot;WPS文字&quot;,在下拉菜单中选择&quot;备份管理& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwLOBp.html" rel="bookmark" class="title">win7使用360安全浏览器在网页中播放视频出现花屏怎么办</a>
					<div>
						  win7使用360安全浏览器在网页中播放视频出现花屏怎么办?windows操作系统自带IE浏览器,但是一些win7 64位系统用户觉得IE浏览器使用不习惯,下载安装360安全卫士,在使用360安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwBXmb.html" rel="bookmark" class="title">eclipse提示java compiler level does not match the version of the installed java</a>
					<div>
						    eclipse提示&quot;Java compiler level does not match the version of the installed java project face ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGeyap.html" rel="bookmark" class="title">VxWorks6&period;6 pcPentium BSP 使用说明（二）：创建启动盘</a>
					<div>
						  本篇介绍从Solaris.Linux.Windows或VxWorks创建VxWorks启动盘的方法. 从Solaris或Linux创建启动盘   使用Solaris或Linux自带的工具/usr/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoPe0b.html" rel="bookmark" class="title">ORACLE 最大连接数的问题</a>
					<div>
						用过Oracle的应该都熟悉如何查看和设置Oracle数据库的最大连接数.这里就再??乱槐椤?/p&gt; 查看当前的连接数,可以用select count(*) from v$process; 设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEd8kp.html" rel="bookmark" class="title">drawstring下划线问题-DrawString下划线问题</a>
					<div>
						问题描述 DrawString下划线问题 比如&quot;我的文字&quot;有6个汉字那么长的下划线,&quot;文字&quot;两个字下面的下划线也有6个汉字那么长. 解决方案 graphic有M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAgGYM.html" rel="bookmark" class="title">php-微信公众平台开发如何实现主动私信推送？？求大神！！急急急！！！</a>
					<div>
						问题描述 微信公众平台开发如何实现主动私信推送??求大神!!急急急!!! 6C 用PHP做微信公众平台开发怎样可以做到在群发时,向不同的用户推送不同的消息?或者分组推送??? 解决方案 官方文档里面有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6xx7b.html" rel="bookmark" class="title">倒排索引原理和实现</a>
					<div>
						关于倒排索引 搜索引擎通常检索的场景是:给定几个关键词,找出包含关键词的文档. 怎么快速找到包含某个关键词的文档就成为搜索的关键.这里我们借助单词--文档矩阵模型, 通过这个模型我们可以很方便知道某篇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQAxmz.html" rel="bookmark" class="title">水晶报表图片连接问题？</a>
					<div>
						问题描述 数据库中存的是图片的地址,如D:projectsrcimagesB_03.jpg如何根据数据库显示图片?各位帮帮忙啊~~~~~~~~ 解决方案 解决方案二:在网上找的,希望是lz需要的.re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke4qwb.html" rel="bookmark" class="title">Android使listview&lpar;GridView&rpar; 获取焦点时，选中上次失去焦点时的item，而不是就近的item</a>
					<div>
						在电视上开发android应用时,经常要做有二级菜单的应用,例如: 但当我们按左键的时候,左边listview的最近的item会被选中,即如下效果: 但是在电视上开发应用的时候,我们希望是上一次被选中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWKgkz.html" rel="bookmark" class="title">exe后台运行 及python变exe  备忘</a>
					<div>
						1.后台运行,用vbs很简单       set wscriptObj = CreateObject(&quot;Wscript.Shell&quot;) wscriptObj.run &quot;1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB21qb.html" rel="bookmark" class="title">java设计模式2--抽象工厂模式（Abstract Factory）</a>
					<div>
						抽象工厂模式(别名:配套) 提供一个创建一系列(相互依赖)对象的接口,而无需指定它们具体的类. 概述 当系统准备为用户提供一系列相关的对象,又不想让用户代码和创建这些对象的类形成耦合时,就可以使用抽象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYyEPp.html" rel="bookmark" class="title">win2008 r2 iis7&period;5中限制带宽的方法&lpar;图文&rpar;&lowbar;win服务器</a>
					<div>
						最近网站有网友问IIS 7 下如何限制站点带宽?IIS6下很方便,IIS7 不知道到哪里设置了? 一. 上面限制的变成字节了.一般如果想限制80M的话,差不多是80,000,000了.大家可以根据需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLggBWM.html" rel="bookmark" class="title">从404到默认页面，通过&period;cshtml拿到webshell</a>
					<div>
						本文讲的是从404到默认页面,通过.cshtml拿到webshell, 开始 .cshtml是什么? 可能一些人知道,但是我确定很大一部分人是不知道的..cshtml是MVC3之后新增的视图文件,跟原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq77dez.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;5&period;21 人工智能研究的创新机遇</a>
					<div>
						5.21 人工智能研究的创新机遇 在了解了人工智能的涵义.释义.意义之后,人们可以抛开怀疑和担心,认真思考如何发展人工智能的问题.为此,需要在以上概念的基础上进一步了解人工智能科学技术研究的现实状况. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK54mAp.html" rel="bookmark" class="title">微信营销中的骗局 营销作用不能被神话</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 前两天写了一篇文章&lt;微信营销的误区&gt;,说到了现在微信营销中的一些错误看法.这篇更进一步谈谈微信营销中的一些骗局,推荐大家把这两篇文章结合起来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXGYeb.html" rel="bookmark" class="title">iOS 如何将 long 或 long long 转换成 NSString</a>
					<div>
						iOS 如何将 long 或 long long 转换成 NSString 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeokwVM.html" rel="bookmark" class="title">专家答疑：对SaaS都有哪五种常见误解</a>
					<div>
						虽然SaaS的http://www.aliyun.com/zixun/aggregation/7565.html&quot;&gt;成功案例在不断增多,但仍有许多IT和商业决策者对软件即服务存在各种程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWL8GM.html" rel="bookmark" class="title">mysql局域网访问设置</a>
					<div>
						错误提示: ERROR 1130: Host '192.168.1.132' is not allowed to connect to this MySQL server的解决方法:  1. 改表法. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqLeEp.html" rel="bookmark" class="title">JQuery 拾色器插件发布-jquery&period;icolor&period;js&lowbar;jquery</a>
					<div>
						以前我一直用的那个(eyecon.ro) 功能完整也简易,但是不尽符合上面的要求,于是 google了N下,结果没找到现成的jquery拾色器插件很好的支持以下功能: 简单易用,仅显示常用的那些色块给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkqAnz.html" rel="bookmark" class="title">实例讲解&period;NET中资源文件的创建与使用&lowbar;实用技巧</a>
					<div>
						一.资源文件 资源文件顾名思义就是存放资源的文件.资源文件在程序设计中有着自身独特的优势,他独立于源程序,这样资源文件就可以被多个程序使用.同时在程序设计的时候,有时出于安全或者其他方面因素的考虑,把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen7NAb.html" rel="bookmark" class="title">新网站上线多久被收录-看google&comma;baidu的沙盒现象</a>
					<div>
						最近刚好有个新的网站要上线,我们顺便记录了下,让百度和谷歌知道并收录的整个过程,顺便也测试了下搜索引擎的沙盒现象. 8月30号网站备案下来,DNS解析完成,通过域名可以访问,把默认页的标题稍微做了点修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdLDBM.html" rel="bookmark" class="title">DocumentBurster 5&period;6&period;5发布 报表处理工具</a>
					<div>
						DocumentBurster 是一款从报表文件中获取元数据的工具,并将这些数据通过分离.合并.电子邮件或FTP发送.支持的报表格式有:Crystal Reports.SSRS.MS Access.C ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
